TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

PartialFactorization ( seq(elt-ord^rat) S ) -> seq()

### Description

<shortdoc> Return a partial factorization of the absolute values of the integers in S[i]. For each |S[i]| two factorization lists F1_i and F2_i are given, such that |S[i]| = Facint(F1_i) * Facint(F2_i). All the factors in F1_i are square factors, and given any i and j, the divisors in F2_i[k] and F2_j[l] are either coprime or they are equal. This factorization uses only gcd and exact integer division.. </shortdoc>

### Examples

x_A := Sequence([2,3,6,8]); PartialFactorization(x_A);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack